Build #2 for GPipe-GLFW-1.4.1.4

[all reports]

Package GPipe-GLFW-1.4.1.4
Install DependencyFailed GPipe-GLFW-1.4.1.4
Docs NotTried
Tests NotTried
Time submitted 2020-11-02 00:32:30.201399353 UTC
Compiler ghc-8.10.2
OS linux
Arch x86_64
Dependencies GLFW-b-3.3.0.0, GPipe-2.2.5, async-2.2.2, base-4.14.1.0, containers-0.6.2.1, stm-2.5.0.0
Flags none

Build log

[view raw]

Resolving dependencies...
Starting     StateVar-1.2
Starting     binary-orphans-1.0.1
Starting     Boolean-0.2.4
Starting     base-orphans-0.8.2
Building     StateVar-1.2
Building     binary-orphans-1.0.1
Building     Boolean-0.2.4
Building     base-orphans-0.8.2
Completed    base-orphans-0.8.2
Starting     bindings-DSL-1.0.25
Completed    binary-orphans-1.0.1
Starting     cabal-doctest-1.0.8
Completed    StateVar-1.2
Starting     call-stack-0.2.0
Building     bindings-DSL-1.0.25
Building     cabal-doctest-1.0.8
Building     call-stack-0.2.0
Completed    Boolean-0.2.4
Starting     cereal-0.5.8.1
Building     cereal-0.5.8.1
Completed    bindings-DSL-1.0.25
Starting     fixed-0.3
Building     fixed-0.3
Completed    call-stack-0.2.0
Starting     half-0.3
Building     half-0.3
Completed    cabal-doctest-1.0.8
Starting     hashable-1.3.0.0
Completed    fixed-0.3
Starting     integer-logarithms-1.0.3.1
Building     hashable-1.3.0.0
Building     integer-logarithms-1.0.3.1
Completed    half-0.3
Starting     parallel-3.2.2.0
Completed    integer-logarithms-1.0.3.1
Starting     primitive-0.7.1.0
Building     parallel-3.2.2.0
Building     primitive-0.7.1.0
Completed    hashable-1.3.0.0
Starting     reflection-2.1.6
Building     reflection-2.1.6
Completed    cereal-0.5.8.1
Starting     semigroups-0.19.1
Completed    parallel-3.2.2.0
Starting     tagged-0.8.6
Building     semigroups-0.19.1
Building     tagged-0.8.6
Completed    semigroups-0.19.1
Starting     th-abstraction-0.4.0.0
Building     th-abstraction-0.4.0.0
Completed    tagged-0.8.6
Starting     transformers-compat-0.6.6
Building     transformers-compat-0.6.6
Completed    reflection-2.1.6
Starting     void-0.7.3
Building     void-0.7.3
Completed    void-0.7.3
Starting     contravariant-1.5.2
Building     contravariant-1.5.2
Completed    th-abstraction-0.4.0.0
Starting     bindings-GLFW-3.3.2.0
Completed    transformers-compat-0.6.6
Starting     gl-0.9
Failed to install bindings-GLFW-3.3.2.0
Build log ( /home/builder/.cabal/logs/ghc-8.10.2/bindings-GLFW-3.3.2.0-1ufNpjZTQYdKRJBE7e6TEN.log ):
cabal: Entering directory '/tmp/cabal-tmp-24451/bindings-GLFW-3.3.2.0'
Configuring bindings-GLFW-3.3.2.0...
cabal: Missing dependencies on foreign libraries:
* Missing (or bad) C libraries: Xi, Xrandr, Xcursor, Xinerama
This problem can usually be solved by installing the system packages that
provide these libraries (you may need the "-dev" versions). If the libraries
are already installed but in a non-standard location then you can use the
flags --extra-include-dirs= and --extra-lib-dirs= to specify where they are.If
the library files do exist, it may contain errors that are caught by the C
compiler at the preprocessing stage. In this case you can re-run configure
with the verbosity flag -v3 to see the error messages.

cabal: Leaving directory '/tmp/cabal-tmp-24451/bindings-GLFW-3.3.2.0'
Starting     unordered-containers-0.2.13.0
Building     gl-0.9
Building     unordered-containers-0.2.13.0
Completed    contravariant-1.5.2
Completed    primitive-0.7.1.0
Completed    unordered-containers-0.2.13.0
Completed    gl-0.9
cabal: Error: some packages failed to install:
GLFW-b-3.3.0.0-F4qN5yGeFOwK997DdpblNw depends on GLFW-b-3.3.0.0 which failed
to install.
GPipe-GLFW-1.4.1.4-3XODDKSlfXTLw4eGd6x4uH depends on GPipe-GLFW-1.4.1.4 which
failed to install.
bindings-GLFW-3.3.2.0-1ufNpjZTQYdKRJBE7e6TEN failed during the configure step.
The exception was:
ExitFailure 1